" Vim syntax file
" Language:         EA CNC2xx BaltSystem
" Maintainer:       Evgeny Pashigorov
" Latest Revision:  2010

if exists("b:current_syntax")
  finish
endif

let s:cpo_save = &cpo
set cpo&vim

setlocal iskeyword+=-

syn case ignore

syn match  	eaDef display '<\w\+>'
syn match 	eaMessage '^[ \t]*S\d\+'
syn match 	eaLabel	    '\<L\d\+'
"syn match 	eaLabel		'^L\d\+'
"syn match 	eaKW	'\WT[SR]\d\+'
"syn match 	eaKW	'^T[SR]\d\+'
syn match 	eaKW	'\<T[SR]\d\+'
syn match 	eaNum	display '\d\+'
syn match 	eaNum	display '[0-9a-fA-F]\+[DOH]'

syn match eaPackI	display '\<I\d\{1,3}[KNAT]\d\+' 
syn match eaPackI	display '\<I\i\+' 
"syn match eaPackO	display '/\=U\d\{1,3}[KNAT]\d\+' 
syn match eaPackO	display '\<U\d\{1,3}[KNAT]\d\+' 
syn match eaPackO	display '\<U\i\+' 

syn match eaString 	display 'W\d\dN\d\+'
syn match eaWord	display 'W\d\{1,3}[KNAT]\d\+' 
syn match eaWord	display '\<W\i\+' 
	
syn match eaTimer	display '/\=T\d\{1,2}[AUDI]'
syn match eaCount	display '/\=C\d\{1,2}[IRZAW]'
syn match eaVibr	display '/\=P\d\{1,2}'

syn keyword eaIF	DOF DOE ENDF ENDE


syn match eaComment ";.*"
"syn region 	eaString  start="^[ \t]*S\d\+[ =\t]" end="$" contains=eaMessage
syn region 	eaString  start='\"' end='\"'


hi def link eaComment 	Comment
hi def link eaLabel 	Label
hi def link eaKW		Keyword
hi def link eaString   	String
hi def link eaDef   	Macro
hi def link eaNum		Number
hi def link eaMessage	Error

hi def link eaPackI		Type
hi def link eaPackO		Keyword	
hi def link eaWord		Number
hi def link eaTimer   	Macro
hi def link eaCount   	Macro
hi def link eaVibr   	Macro

"hi link eaIF	Special
hi eaIF gui=bold

"hi def link ..   	Statement
"hi def link eaKeyword  Special
"hi def link ..   	PreProc
"hi def link ..   	ModeMsg
"hi def link ..   	Identifier
"hi def link ..   	Function



let b:current_syntax = "ea2"

let &cpo = s:cpo_save
unlet s:cpo_save
